#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.FindController where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype FindController = FindController (ManagedPtr FindController)
instance GObject FindController where
class (GObject o, O.IsDescendantOf FindController o) => IsFindController o
instance (GObject o, O.IsDescendantOf FindController o) => IsFindController o
instance O.HasParentTypes FindController
#if ENABLE_OVERLOADING
data FindControllerMaxMatchCountPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerOptionsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerTextPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerWebViewPropertyInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerCountedMatchesSignalInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerFailedToFindTextSignalInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerFoundTextSignalInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerCountMatchesMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerGetMaxMatchCountMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerGetOptionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerGetSearchTextMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerGetWebViewMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerSearchFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerSearchNextMethodInfo
#endif
#if ENABLE_OVERLOADING
data FindControllerSearchPreviousMethodInfo
#endif
