#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.Settings where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Settings = Settings (ManagedPtr Settings)
instance GObject Settings where
class (GObject o, O.IsDescendantOf Settings o) => IsSettings o
instance (GObject o, O.IsDescendantOf Settings o) => IsSettings o
instance O.HasParentTypes Settings
#if ENABLE_OVERLOADING
data SettingsAllowFileAccessFromFileUrlsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsAllowModalDialogsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsAllowUniversalAccessFromFileUrlsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsAutoLoadImagesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsCursiveFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDefaultCharsetPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDefaultFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDefaultFontSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDefaultMonospaceFontSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsDrawCompositingIndicatorsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableAccelerated2dCanvasPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableBackForwardNavigationGesturesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableCaretBrowsingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableDeveloperExtrasPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableDnsPrefetchingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableEncryptedMediaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableFrameFlatteningPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableFullscreenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableHtml5DatabasePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableHtml5LocalStoragePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableHyperlinkAuditingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableJavaPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableJavascriptPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableJavascriptMarkupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableMediaCapabilitiesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableMediaStreamPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableMediasourcePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableMockCaptureDevicesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableOfflineWebApplicationCachePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnablePageCachePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnablePluginsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnablePrivateBrowsingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableResizableTextAreasPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableSiteSpecificQuirksPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableSmoothScrollingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableSpatialNavigationPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableTabsToLinksPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableWebaudioPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableWebglPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableWriteConsoleMessagesToStdoutPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsEnableXssAuditorPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsFantasyFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsHardwareAccelerationPolicyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsJavascriptCanAccessClipboardPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsJavascriptCanOpenWindowsAutomaticallyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsLoadIconsIgnoringImageLoadSettingPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsMediaPlaybackAllowsInlinePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsMediaPlaybackRequiresUserGesturePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsMinimumFontSizePropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsMonospaceFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsPictographFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsPrintBackgroundsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSansSerifFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSerifFontFamilyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsUserAgentPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsZoomTextOnlyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetAllowFileAccessFromFileUrlsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetAllowModalDialogsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetAllowUniversalAccessFromFileUrlsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetAutoLoadImagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetCursiveFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDefaultCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDefaultFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDefaultFontSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDefaultMonospaceFontSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetDrawCompositingIndicatorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableAccelerated2dCanvasMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableBackForwardNavigationGesturesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableCaretBrowsingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableDeveloperExtrasMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableDnsPrefetchingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableEncryptedMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableFrameFlatteningMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableHtml5DatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableHtml5LocalStorageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableHyperlinkAuditingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableJavaMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableJavascriptMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableJavascriptMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableMediaCapabilitiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableMediaStreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableMediasourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableMockCaptureDevicesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableOfflineWebApplicationCacheMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnablePageCacheMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnablePluginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnablePrivateBrowsingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableResizableTextAreasMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableSiteSpecificQuirksMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableSmoothScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableSpatialNavigationMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableTabsToLinksMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableWebaudioMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableWebglMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableWriteConsoleMessagesToStdoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetEnableXssAuditorMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetFantasyFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetHardwareAccelerationPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetJavascriptCanAccessClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetJavascriptCanOpenWindowsAutomaticallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetLoadIconsIgnoringImageLoadSettingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetMediaPlaybackAllowsInlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetMediaPlaybackRequiresUserGestureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetMinimumFontSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetMonospaceFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetPictographFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetPrintBackgroundsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetSansSerifFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetSerifFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetUserAgentMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsGetZoomTextOnlyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetAllowFileAccessFromFileUrlsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetAllowModalDialogsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetAllowUniversalAccessFromFileUrlsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetAutoLoadImagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetCursiveFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDefaultCharsetMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDefaultFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDefaultFontSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDefaultMonospaceFontSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetDrawCompositingIndicatorsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableAccelerated2dCanvasMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableBackForwardNavigationGesturesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableCaretBrowsingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableDeveloperExtrasMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableDnsPrefetchingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableEncryptedMediaMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableFrameFlatteningMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableHtml5DatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableHtml5LocalStorageMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableHyperlinkAuditingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableJavaMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableJavascriptMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableJavascriptMarkupMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableMediaCapabilitiesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableMediaStreamMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableMediasourceMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableMockCaptureDevicesMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableOfflineWebApplicationCacheMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnablePageCacheMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnablePluginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnablePrivateBrowsingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableResizableTextAreasMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableSiteSpecificQuirksMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableSmoothScrollingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableSpatialNavigationMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableTabsToLinksMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableWebaudioMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableWebglMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableWriteConsoleMessagesToStdoutMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetEnableXssAuditorMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetFantasyFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetHardwareAccelerationPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetJavascriptCanAccessClipboardMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetJavascriptCanOpenWindowsAutomaticallyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetLoadIconsIgnoringImageLoadSettingMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetMediaPlaybackAllowsInlineMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetMediaPlaybackRequiresUserGestureMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetMinimumFontSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetMonospaceFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetPictographFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetPrintBackgroundsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetSansSerifFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetSerifFontFamilyMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetUserAgentMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetUserAgentWithApplicationDetailsMethodInfo
#endif
#if ENABLE_OVERLOADING
data SettingsSetZoomTextOnlyMethodInfo
#endif
