#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.WindowProperties where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WindowProperties = WindowProperties (ManagedPtr WindowProperties)
instance GObject WindowProperties where
class (GObject o, O.IsDescendantOf WindowProperties o) => IsWindowProperties o
instance (GObject o, O.IsDescendantOf WindowProperties o) => IsWindowProperties o
instance O.HasParentTypes WindowProperties
#if ENABLE_OVERLOADING
data WindowPropertiesFullscreenPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGeometryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesLocationbarVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesMenubarVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesResizablePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesScrollbarsVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesStatusbarVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesToolbarVisiblePropertyInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetFullscreenMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetGeometryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetLocationbarVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetMenubarVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetResizableMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetScrollbarsVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetStatusbarVisibleMethodInfo
#endif
#if ENABLE_OVERLOADING
data WindowPropertiesGetToolbarVisibleMethodInfo
#endif
