#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.EditorState where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype EditorState = EditorState (ManagedPtr EditorState)
instance GObject EditorState where
class (GObject o, O.IsDescendantOf EditorState o) => IsEditorState o
instance (GObject o, O.IsDescendantOf EditorState o) => IsEditorState o
instance O.HasParentTypes EditorState
#if ENABLE_OVERLOADING
data EditorStateTypingAttributesPropertyInfo
#endif
#if ENABLE_OVERLOADING
data EditorStateGetTypingAttributesMethodInfo
#endif
#if ENABLE_OVERLOADING
data EditorStateIsCopyAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data EditorStateIsCutAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data EditorStateIsPasteAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data EditorStateIsRedoAvailableMethodInfo
#endif
#if ENABLE_OVERLOADING
data EditorStateIsUndoAvailableMethodInfo
#endif
