#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.NavigationPolicyDecision where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype NavigationPolicyDecision = NavigationPolicyDecision (ManagedPtr NavigationPolicyDecision)
instance GObject NavigationPolicyDecision where
class (GObject o, O.IsDescendantOf NavigationPolicyDecision o) => IsNavigationPolicyDecision o
instance (GObject o, O.IsDescendantOf NavigationPolicyDecision o) => IsNavigationPolicyDecision o
instance O.HasParentTypes NavigationPolicyDecision
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionFrameNamePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionModifiersPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionMouseButtonPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionNavigationActionPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionNavigationTypePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionRequestPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionGetFrameNameMethodInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionGetModifiersMethodInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionGetMouseButtonMethodInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionGetNavigationActionMethodInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionGetNavigationTypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data NavigationPolicyDecisionGetRequestMethodInfo
#endif
