#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.Notification where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Notification = Notification (ManagedPtr Notification)
instance GObject Notification where
class (GObject o, O.IsDescendantOf Notification o) => IsNotification o
instance (GObject o, O.IsDescendantOf Notification o) => IsNotification o
instance O.HasParentTypes Notification
#if ENABLE_OVERLOADING
data NotificationBodyPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotificationIdPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotificationTagPropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotificationTitlePropertyInfo
#endif
#if ENABLE_OVERLOADING
data NotificationClickedSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotificationClosedSignalInfo
#endif
#if ENABLE_OVERLOADING
data NotificationClickedMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotificationCloseMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotificationGetBodyMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotificationGetIdMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotificationGetTagMethodInfo
#endif
#if ENABLE_OVERLOADING
data NotificationGetTitleMethodInfo
#endif
