#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.PrintOperation where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype PrintOperation = PrintOperation (ManagedPtr PrintOperation)
instance GObject PrintOperation where
class (GObject o, O.IsDescendantOf PrintOperation o) => IsPrintOperation o
instance (GObject o, O.IsDescendantOf PrintOperation o) => IsPrintOperation o
instance O.HasParentTypes PrintOperation
#if ENABLE_OVERLOADING
data PrintOperationPageSetupPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationPrintSettingsPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationWebViewPropertyInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationCreateCustomWidgetSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationFailedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationFinishedSignalInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationGetPrintSettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationPrintMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationRunDialogMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetPageSetupMethodInfo
#endif
#if ENABLE_OVERLOADING
data PrintOperationSetPrintSettingsMethodInfo
#endif
