#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.WebContext where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WebContext = WebContext (ManagedPtr WebContext)
instance GObject WebContext where
class (GObject o, O.IsDescendantOf WebContext o) => IsWebContext o
instance (GObject o, O.IsDescendantOf WebContext o) => IsWebContext o
instance O.HasParentTypes WebContext
#if ENABLE_OVERLOADING
data WebContextLocalStorageDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebContextWebsiteDataManagerPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebContextAutomationStartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebContextDownloadStartedSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebContextInitializeNotificationPermissionsSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebContextInitializeWebExtensionsSignalInfo
#endif
#if ENABLE_OVERLOADING
data WebContextAllowTlsCertificateForHostMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextClearCacheMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextDownloadUriMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetCacheModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetCookieManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetFaviconDatabaseMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetFaviconDatabaseDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetPluginsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetPluginsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetProcessModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetSecurityManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetSpellCheckingEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetSpellCheckingLanguagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetTlsErrorsPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetWebProcessCountLimitMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextGetWebsiteDataManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextInitializeNotificationPermissionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextIsAutomationAllowedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextIsEphemeralMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextPrefetchDnsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextRegisterUriSchemeMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetAdditionalPluginsDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetAutomationAllowedMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetCacheModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetDiskCacheDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetFaviconDatabaseDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetNetworkProxySettingsMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetPreferredLanguagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetProcessModelMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetSpellCheckingEnabledMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetSpellCheckingLanguagesMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetTlsErrorsPolicyMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetWebExtensionsDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetWebExtensionsInitializationUserDataMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebContextSetWebProcessCountLimitMethodInfo
#endif
