#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.WebKit2.Objects.WebsiteDataManager where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype WebsiteDataManager = WebsiteDataManager (ManagedPtr WebsiteDataManager)
instance GObject WebsiteDataManager where
class (GObject o, O.IsDescendantOf WebsiteDataManager o) => IsWebsiteDataManager o
instance (GObject o, O.IsDescendantOf WebsiteDataManager o) => IsWebsiteDataManager o
instance O.HasParentTypes WebsiteDataManager
#if ENABLE_OVERLOADING
data WebsiteDataManagerBaseCacheDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerBaseDataDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerDiskCacheDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerIndexeddbDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerIsEphemeralPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerLocalStorageDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerOfflineApplicationCacheDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerWebsqlDirectoryPropertyInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerClearFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerFetchMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerFetchFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetBaseCacheDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetBaseDataDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetCookieManagerMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetDiskCacheDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetIndexeddbDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetLocalStorageDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetOfflineApplicationCacheDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerGetWebsqlDirectoryMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerIsEphemeralMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data WebsiteDataManagerRemoveFinishMethodInfo
#endif
